• Documentation
  • API Reference
Information
Core APIs
    ASPSP Information Service
      Get ASPSP ListgetGet ASPSP DetailsgetGet Country ListgetGet Platform Statusget
    Consent Service
      Create ConsentpostGet ConsentgetDelete ConsentdeleteGet Consent StatusgetGet Consent AuthorisationsgetCreate Consent AuthorisationpostGet Consent Authorisation SCA StatusgetStart Consent Authorisationput
    Account Information Service (AIS)
      Get Account ListgetGet Account DetailsgetGet BalancesgetGet Transaction ListgetGet Transaction DetailsgetGet Card Account ListgetGet Card Account DetailsgetGet Card BalancesgetGet Card Transaction Listget
    Payment Initiation Service (PIS)
      Create PaymentpostGet PaymentgetCancel PaymentdeleteGet Payment StatusgetGet Payment AuthorisationsgetCreate Payment AuthorisationpostGet Payment Authorisation SCA StatusgetStart Payment AuthorisationputGet Payment Cancellation AuthorisationsgetCreate Payment Cancellation AuthorisationpostGet Payment Cancellation Authorisation SCA StatusgetStart Payment Cancellation AuthorisationputCreate Signing BasketpostGet Signing BasketgetDelete Signing BasketdeleteGet Signing Basket StatusgetCreate Signing Basket AuthorisationpostGet Signing Basket Authorisation SCA StatusgetStart Signing Basket AuthorisationputCreate FX QuotepostGet FX Quoteget
    KYC Service
      Create KYCpostGet KYC Statusget
Alternative APIs
    ISO Payments
      Create PaymentpostCreate Payment (Cross-Border)postGet PaymentgetConfirm Paymentput
    FX Connect
      Create FX QuotepostGet FX QuotegetConfirm Cross-Border Paymentput
Premium APIs
    Bankgiro Lookup
      Get Creditor NamegetGet Giro Numbersget
    Payout Service
      Create PayoutpostGet PayoutgetConfirm Payoutput
    Verification of Payee (VoP)
      Submit Verification RequestpostSubmit Bulk Verification Requestpost
    SEPA Direct Debit
      Create SEPA Direct Debit Payment (Beta)postGet PaymentgetConfirm Paymentput
Schemas
Open Payments API
Open Payments API

Verification of Payee (VoP)

Server

The Verification of Payee (VoP) API allows you to instantly verify that a creditor's name matches the provided account details (IBAN) and display the result to your PSU, e.g. when they create a new supplier card in your system. With this API, you can provide enhanced security for your PSU's financial operations by reducing the risk of fraud and misdirected payments.


Submit Verification Request

POST
https://api.openbankingplatform.com
/premium/v1/payee-verifications

Returns a VoP result based on a creditor's name and IBAN.

Submit Verification Request › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

Submit Verification Request › Request Body

Request Body for a Verification of Payee via JSON.
verificationOfPayee_json
​vopParty · required

The registered name for the account.

​vopPartyAccount · required

The IBAN of the account.

partyAgent
​bicfi · pattern: [A-Z]{6,6}[A-Z2-9][A…

BICFI

Example: AAAADEBBXXX

Submit Verification Request › Responses

OK

Body of the JSON response for a successful VoP request.
verificationOfPayeeResponse
partyNameMatch
​string · enum · required

The match result of the VoP request in a 4-letter code. See Statuses & Types documentation for full descriptions of values.

Enum values:
MTCH
CMTC
NMTC
NOAP
matchedName
​string

The actual name found for the account. This is returned in case of a slight mismatch with the name provided in the request.

​tppMessage200_VoP[]
POST/premium/v1/payee-verifications
curl https://api.openbankingplatform.com/premium/v1/payee-verifications \ --request POST \ --header 'Content-Type: application/json' \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'PSU-ID: 199002092386' \ --header 'Authorization: Bearer <token>' \ --data '{ "party": { "name": "Acme" }, "partyAccount": { "iban": "SE4550000000058398257466" }, "partyAgent": "ESSESESS" }'
Example Request Body
{ "party": { "name": "Acme" }, "partyAccount": { "iban": "SE4550000000058398257466" }, "partyAgent": "ESSESESS" }
json
application/json
Example Responses
{ "partyNameMatch": "CMTC", "matchedName": "Acme AB", "tppMessages": [ { "category": "WARNING", "code": "CREDITOR_NAME_CLOSE_MATCH", "text": "Creditor name closely matches the registered name of the account." } ] }
json
application/json

Submit Bulk Verification Request

POST
https://api.openbankingplatform.com
/premium/v1/bulk-payee-verifications

Returns VoP results for multiple creditors.

Submit Bulk Verification Request › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

Submit Bulk Verification Request › Request Body

Request Body for a Bulk Verification of Payee via JSON.
bulkVerificationOfPayee_json
​object[] · required

Submit Bulk Verification Request › Responses

OK

Body of the JSON response for a successful bulk VoP request.
bulkVerificationOfPayeeResponse
​bulkVerificationOfPayeeResponseItem[] · required
POST/premium/v1/bulk-payee-verifications
curl https://api.openbankingplatform.com/premium/v1/bulk-payee-verifications \ --request POST \ --header 'Content-Type: application/json' \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'PSU-ID: 199002092386' \ --header 'Authorization: Bearer <token>' \ --data '{ "partyVerificationRequests": [ { "uetr": "ab450982-a52d-49b6-90a7-a949535a5ca1", "party": { "name": "Acme" }, "partyAccount": { "iban": "SE4550000000058398257466" }, "partyAgent": "ESSESESS" }, { "uetr": "a1874514-a2ae-408c-93fc-588228876394", "party": { "name": "Company" }, "partyAccount": { "iban": "FI2112345600000785" }, "partyAgent": "NDEAFIHH" }, { "uetr": "4932e93d-e04b-4813-b126-49df7d321f3f", "party": { "name": "Other Company" }, "partyAccount": { "iban": "FI4950009420002319" }, "partyAgent": "OKOYFIHH" } ] }'
Example Request Body
{ "partyVerificationRequests": [ { "uetr": "ab450982-a52d-49b6-90a7-a949535a5ca1", "party": { "name": "Acme" }, "partyAccount": { "iban": "SE4550000000058398257466" }, "partyAgent": "ESSESESS" }, { "uetr": "a1874514-a2ae-408c-93fc-588228876394", "party": { "name": "Company" }, "partyAccount": { "iban": "FI2112345600000785" }, "partyAgent": "NDEAFIHH" }, { "uetr": "4932e93d-e04b-4813-b126-49df7d321f3f", "party": { "name": "Other Company" }, "partyAccount": { "iban": "FI4950009420002319" }, "partyAgent": "OKOYFIHH" } ] }
json
application/json
Example Responses
{ "partyVerificationResponses": [ { "uetr": "ab450982-a52d-49b6-90a7-a949535a5ca1", "partyNameMatch": "MTCH" }, { "uetr": "a1874514-a2ae-408c-93fc-588228876394", "partyNameMatch": "CMTC", "matchedName": "Company AB", "tppMessages": [ { "category": "WARNING", "code": "CREDITOR_NAME_CLOSE_MATCH", "text": "Creditor name closely matches the registered name of the account." } ] }, { "uetr": "4932e93d-e04b-4813-b126-49df7d321f3f", "partyNameMatch": "NMTC", "tppMessages": [ { "category": "WARNING", "code": "CREDITOR_NAME_MISMATCH", "text": "Creditor name does not match the registered name of the account." } ] } ] }
json
application/json

Payout ServiceSEPA Direct Debit